Package com.sas.services.information.metadata

# Interface IndirectPermissionInfoInterface

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `IndirectPermissionInfo`

public interface IndirectPermissionInfoInterface extends Remote
Interface methods for obtaining indirect permission info

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `IndirectPermissionInfoInterface.IndirectPermissionSource`
  indirect Permission source ACTSPECIFICATION : identifies the ACT that supplies the indirect permission GRPMBRSHIP : identifies the UserGroup or Role that supplies the indirect permission INHERITED : the permission comes from an inheritance parent, or Repository ACT Inheritance-specific sources: EXPLICT_ON_PARENT : permission explicitly set on inheritance parent GROUP_ON_PARENT : permission set from IdentityGroup or Role on inheritance parent ACT_ON_PARENT : permission set in ACT on inheritance parent REPOSITORY_DEFAULT_ACT : permission setting comes from Repository Default ACT
  `static enum`
  `IndirectPermissionInfoInterface.IndirectPermissionType`
  indirect authorization type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetadataInterface`
  `getIndirectObject()`
  Returns the indirect Metadata object reference when an Permission comes from an ACT, UserGroup membership, or by Inheritance.
  `String`
  `getIndirectPermissionCondition()`
  Returns the indirect permission condition value
  `List<IndirectPermissionInfoInterface>`
  `getIndirectPermissionInfo()`
  Returns one or more nested IndirectPermissionInfo instances that might describe an Inheritance path or levels of UserGroup membership.
  `IndirectPermissionInfoInterface.IndirectPermissionSource`
  `getIndirectPermissionSource()`
  Returns the Permission source (e.g. the ACT for a set permission coming from a UserGroup membership)
  `IndirectPermissionInfoInterface.IndirectPermissionType`
  `getIndirectPermissionType()`
  Returns an indirect Permission type (UserGroups/Roles at the same level OR multiple applied ACTs can have conflicting Grant/Deny settings.

- ## Method Details

  - ### getIndirectObject

    MetadataInterface getIndirectObject() throws ServiceException, RemoteException
    Returns the indirect Metadata object reference when an Permission comes from an ACT, UserGroup membership, or by Inheritance.
    Returns:
      indirect object
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getIndirectPermissionType

    IndirectPermissionInfoInterface.IndirectPermissionType getIndirectPermissionType() throws ServiceException, RemoteException
    Returns an indirect Permission type (UserGroups/Roles at the same level OR multiple applied ACTs can have conflicting Grant/Deny settings. Deny always "wins" but information about the conflict may still be useful.)
    Returns:
      Permission type
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getIndirectPermissionSource

    IndirectPermissionInfoInterface.IndirectPermissionSource getIndirectPermissionSource() throws ServiceException, RemoteException
    Returns the Permission source (e.g. the ACT for a set permission coming from a UserGroup membership)
    Returns:
      Permission type
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getIndirectPermissionCondition

    String getIndirectPermissionCondition() throws ServiceException, RemoteException
    Returns the indirect permission condition value
    Returns:
      indirect permission condition value
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getIndirectPermissionInfo

    List<IndirectPermissionInfoInterface> getIndirectPermissionInfo() throws ServiceException, RemoteException
    Returns one or more nested IndirectPermissionInfo instances that might describe an Inheritance path or levels of UserGroup membership.
    Returns:
      indirect Permission info
    Throws:
      `ServiceException`
      `RemoteException`